Oore CI
ReferenceAPIOperationsUsers

Update user role

Changes a user's role. Requires `owner` or `admin` role.

Operation IDupdate_user_role
PATCH
/v1/users/{user_id}/role

Changes a user's role. Requires owner or admin role.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

user_id*string

User ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/users/string/role" \  -H "Content-Type: application/json" \  -d '{    "role": "string"  }'
{  "user": {    "avatar_url": "string",    "created_at": 0,    "display_name": "string",    "email": "string",    "id": "string",    "role": "owner",    "status": "active",    "updated_at": 0  }}